Subject: [bug#52275] [PATCH] gnu: syncthing: Update to 1.18.4.

From: Simen Endsjø <[email-masked]>
Date: Mon, 06 Dec 2021 09:15:51 +0100

"Leo Famulari" <[email-masked]> writes:

> On Sun, Dec 5, 2021, at 03:54, Simen Endsjø wrote:
>> Great! As 1.16.1 is broken due to this bug:
>> https://github.com/syncthing/syncthing/issues/7685
>
> Broken somewhat... It works quite well in general :) The CLI is rather new and untested compared to the GUI / web API.

I'm trying to run it from a server, and would like to avoid exposing a
web API.

>> I updated the patch to 1.18.1, but should we rather use 1.17.0 you
>> think?
>
> Can you clarify why we might choose Syncthing 1.17.0 if we could use 1.18.1? Or did you mean Go 1.17?

1.17.0 doesn't include any later patch versions, and might be more
stabel. Haven't looked at the issues closed 1.18.2-4, so it might be a
non-issue. I have very simple use, I just need something other than
1.16.1 as I cannot add devices with that version.